package com.upyuns.platform.rs.website.vo;

import com.upyuns.platform.rs.website.entity.ApiCustomNode;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import java.util.List;

@Data
public class ApiDocTreeVo {


    private Integer id;

    /**
     * 文档名称
     */
    private String name;

    /**
     * 文档类型
     */
    private Byte docType;

    /**
     * 开放文档使用说明
     */
    private String shareInstruction;

    /**
     * 状态：1.上架 2.下架
     */
    private Byte status;

    private List<ApiCustomNode> nodeList;

}
